Index: src/editor.c
===================================================================
--- src/editor.c	(revision 3007)
+++ src/editor.c	(working copy)
@@ -3969,6 +3969,7 @@
 		 * file will show the guides. */
 		case SCLEX_DIFF:
 			mode = SC_IV_NONE;
+			break;

 		/* These languages use indentation for control blocks; the "look forward" method works
 		 * best here */
@@ -3981,6 +3982,7 @@
 		case SCLEX_FORTRAN: /* Is this the best option for Fortran? */
 		case SCLEX_CAML:
 			mode = SC_IV_LOOKFORWARD;
+			break;

 		/* C-like (structured) languages benefit from the "look both" method */
 		case SCLEX_CPP:
@@ -4000,8 +4002,11 @@
 		case SCLEX_D:
 		case SCLEX_OMS:
 			mode = SC_IV_LOOKBOTH;
+			break;
+
 		default:
 			mode = SC_IV_REAL;
+			break;
 	}

 	sci_set_indentation_guides(editor->sci, mode);
